<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [purchase4SMarketDataTixApi](./bitburner.stock.purchase4smarketdatatixapi.md)

## Stock.purchase4SMarketDataTixApi() method

Purchase 4S Market Data TIX API access (NS APIs only).

You need to have TIX API access. Note that this feature only unlocks access to 4S Market Data via NS APIs.

**Signature:**

```typescript
purchase4SMarketDataTixApi(): boolean;
```
**Returns:**

boolean

True if you successfully purchased it or if you already have access, false otherwise.

## Remarks

RAM cost: 2.5 GB

